// SetDateDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SetDateDlg.h"


// CSetDateDlg dialog

IMPLEMENT_DYNAMIC(CSetDateDlg, CaplTranslateDialog)

CSetDateDlg::CSetDateDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CSetDateDlg::IDD, pParent)
{

}

CSetDateDlg::~CSetDateDlg()
{
}

void CSetDateDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	DDX_DateTimeCtrl(pDX, IDC_DATE, m_date);
	DDX_DateTimeCtrl(pDX, IDC_TIME, m_time);
	DDX_Text(pDX, IDC_ST_HEADER, m_sHeader);
	DDX_Control(pDX, IDOK, m_ok_btn);
	DDX_Control(pDX, IDCANCEL, m_cancel_btn);
}


BEGIN_MESSAGE_MAP(CSetDateDlg, CaplTranslateDialog)
END_MESSAGE_MAP()


// CSetDateDlg message handlers

BOOL CSetDateDlg::OnInitDialog()
{
	CaplTranslateDialog::OnInitDialog();

	m_ok_btn.SetIcon(GetAplStdIco16(APLSTDICO_OK));
	m_ok_btn.SetFlat(FALSE);
	m_cancel_btn.SetIcon(GetAplStdIco16(APLSTDICO_CANCEL));
	m_cancel_btn.SetFlat(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
